# Maintainer: Rafael from azul repository
# Don't use clean chroot

pkgname=garuda-beautyline
pkgver=20230131
pkgrel=1
fname=BeautyLine
commitn=04328e2d874427d849f2d6295e2ccef0794de97b
pkgdesc='This is a fork of Beautyline by sajjad606. And icons from Candy icons by EliverLara.'
arch=('any')
url='https://gitlab.com/garuda-linux/themes-and-settings/artwork/beautyline'
license=('GPL')
conflicts=('beautyline')
makdepends=(git)
source=("${pkgname}::git+${url}#commit=${commitn}")
sha512sums=('SKIP')

pkgver() {
    date +%Y%m%d
}

package() {
  install -dm755 ${pkgdir}/usr/share/icons/${fname}
  install -dm755 ${pkgdir}/usr/share/licenses/${fname}
  cp ${srcdir}/${pkgname}/COPYING ${pkgdir}/usr/share/licenses/${fname}
  rm ${srcdir}/${pkgname}/COPYING
  rm ${srcdir}/${pkgname}/AUTHORS
  rm ${srcdir}/${pkgname}/ReadMe
  rm ${srcdir}/${pkgname}/README.md
  cp -r ${srcdir}/${pkgname}/* ${pkgdir}/usr/share/icons/${fname}
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}


